BUILDMK:=seedget.mk

ifeq ($(wildcard $(BUILDMK)),)
$(error Please run configure first)
endif

ifeq ($(MAKECMDGOALS),)
MAKECMDGOALS:=all
endif

.PHONY: all
$(MAKECMDGOALS):
ifeq ($(MAKECMDGOALS),all)
	$(MAKE) -f $(BUILDMK)
else
	$(MAKE) -f $(BUILDMK) $@
endif
ifeq ($(MAKECMDGOALS),distclean)
	-rm -f $(BUILDMK)
endif

